import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/wallet_entity.dart';
import '../repository/wallet_repository.dart';

class GetWalletUseCase implements UseCase<DataState<WalletEntity>, NoParams> {
  final WalletRepository repository;
  GetWalletUseCase(this.repository);

  @override
  Future<DataState<WalletEntity>> call(NoParams params) =>
      repository.getWallet();
}
